function FastQuestOptions_Save()
	FQD.Format = FQOptionsQuestFormat:GetValue();
end

function FastQuestOptions_Toggle()
	if(FastQuestOptionsFrame:IsVisible()) then
		FastQuestOptionsFrame:Hide();
	else
		FastQuestOptionsFrame:Show();
	end
end

function FastQuestOptions_OnLoad()
	UIPanelWindows['FastQuestOptionsFrame'] = {area = 'center', pushable = 0};
end

function FastQuestOptions_Init()
	FQOptionsAutoNotify:SetChecked(FQD.AutoNotify);
	FQOptionsNotifyNearby:SetChecked(FQD.NotifyNearby);
	FQOptionsNotifyParty:SetChecked(FQD.NotifyParty);
	FQOptionsNotifyRaid:SetChecked(FQD.NotifyRaid);
	FQOptionsNotifyGuild:SetChecked(FQD.NotifyGuild);

	FQOptionsNotifyDetail:SetChecked(FQD.Detail);
	FQOptionsNotifyExpGain:SetChecked(FQD.NotifyExp);
	FQOptionsNotifyDiscover:SetChecked(FQD.NotifyDiscover);
	FQOptionsNotifyLevelUp:SetChecked(FQD.NotifyLevelUp);

	FQOptionsEnableColor:SetChecked(FQD.Color);
	FQOptionsMemberInfo:SetChecked(FQD.MemberInfo);
	
	FQOptionsNoDrag:SetChecked(FQD.NoDrag);
	FQOptionsLock:SetChecked(FQD.Lock);
	FQOptionsAutoAdd:SetChecked(FQD.AutoAdd);
	FQOptionsAutoComplete:SetChecked(FQD.AutoComplete);
	FQOptionsShowTag:SetChecked(FQD.Tag);
	
	FQOptionsQuestFormat:SetValue(FQD.Format);
end

function FastQuestOptions_ResetPosition()
	FastQuestFrame:SetPoint("TOPLEFT", 0, -104);
end
